/*)LIBRARY
*/
/*
 * MFRAME - Read menu frame
 */
extern mframe();

p$mframe(frame, gblact, maxlen, stat)
char *frame;                            /* Frame ID string */
char *gblact;                           /* Global action string buffer addr */
int maxlen;                             /* Size of global action buffer */
int *stat;                              /* Returned 2-word status */
   {
   int flen;
   int size;
   
   flen = strlen(frame);
   call(mframe, 6, stat, frame, &flen, gblact, &maxlen, &size);
   gblact[size] = '\0';
   return(stat[0]);
   }
